package com.cesgroup.tomcat.plugin.bootstrap;

/**
 * web 容器
 * @version  1.0.0 2018/07/24
 */
public interface Container {
	/**
	 * 取得webapp的路径
	 * @return
	 */
	String getWebapp();

	/**
	 * 启动一个容器
	 * @throws Exception
	 */
	void run() throws Exception;

	/**
	 * 增加目录依赖的WAR模块
	 * @param path
	 */
	void addFolderMoudules(String path);

	/**
	 * 增加一个war 模块的依赖
	 * @param group
	 * @param artifactId
	 * @param version
	 */
	void addWarMoudules(String group ,String artifactId,String version);

	/**
	 * 设定容器的上下文
	 * @param context
	 */
	void setContext(String context);

	/**
	 * 设计容器的端口
	 * @param port
	 */
	void setPort(int port);
}
